Ask Your Question
0

Free cad disturbing yum update

asked 2013-03-03 11:28:56 -0500

amod gravatar image

updated 2014-09-28 12:05:29 -0500

mether gravatar image

Hi all,

I did yum update today and this was the result

> [amod@localhost ~]$ sudo yum update
[sudo] password for amod: 
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: free.nchc.org.tw
 * rpmfusion-free: mirrors.ustc.edu.cn
 * rpmfusion-free-updates: mirrors.ustc.edu.cn
 * rpmfusion-nonfree: mirror.cse.iitk.ac.in
 * rpmfusion-nonfree-updates: mirror.cse.iitk.ac.in
 * updates: mirrors.ustc.edu.cn
Resolving Dependencies
--> Running transaction check
---> Package OCE-foundation.i686 0:0.8.0-3.fc18 will be updated
---> Package OCE-foundation.i686 0:0.11-2.fc18 will be an update
---> Package OCE-modeling.i686 0:0.8.0-3.fc18 will be updated
---> Package OCE-modeling.i686 0:0.11-2.fc18 will be an update
---> Package OCE-ocaf.i686 0:0.8.0-3.fc18 will be updated
---> Package OCE-ocaf.i686 0:0.11-2.fc18 will be an update
---> Package OCE-visualization.i686 0:0.8.0-3.fc18 will be updated
---> Package OCE-visualization.i686 0:0.11-2.fc18 will be an update
---> Package freecad.i686 0:0.12-9.fc18 will be updated
---> Package freecad.i686 0:0.13-1.fc18 will be an update
--> Processing Dependency: python-collada for package: freecad-0.13-1.fc18.i686
--> Processing Dependency: python-matplotlib for package: freecad-0.13-1.fc18.i686
---> Package smesh.i686 0:5.1.2.2-4.svn54.fc18 will be updated
---> Package smesh.i686 0:5.1.2.2-6.svn55.fc18 will be an update
--> Running transaction check
---> Package freecad.i686 0:0.13-1.fc18 will be an update
--> Processing Dependency: python-collada for package: freecad-0.13-1.fc18.i686
---> Package python-matplotlib.i686 0:1.2.0-8.fc18 will be installed
--> Processing Dependency: pytz for package: python-matplotlib-1.2.0-8.fc18.i686
--> Processing Dependency: python-dateutil for package: python-matplotlib-1.2.0-8.fc18.i686
--> Processing Dependency: pyparsing for package: python-matplotlib-1.2.0-8.fc18.i686
--> Processing Dependency: libagg.so.2 for package: python-matplotlib-1.2.0-8.fc18.i686
--> Processing Dependency: dvipng for package: python-matplotlib-1.2.0-8.fc18.i686
--> Running transaction check
---> Package agg.i686 0:2.5-13.fc17 will be installed
---> Package freecad.i686 0:0.13-1.fc18 will be an update
--> Processing Dependency: python-collada for package: freecad-0.13-1.fc18.i686
---> Package pyparsing.noarch 0:1.5.6-6.fc18 will be installed
---> Package python-dateutil.noarch 0:1.5-5.fc18 will be installed
---> Package pytz.noarch 0:2012d-2.fc18 will be installed
---> Package texlive-dvipng-bin.i686 2:svn26509.0-16.20130205_r29034.fc18 will be installed
--> Processing Dependency: texlive-kpathsea-lib = 2:2012-16.20130205_r29034.fc18 for package: 2:texlive-dvipng-bin-svn26509.0-16.20130205_r29034.fc18.i686
--> Processing Dependency: texlive-base for package: 2:texlive-dvipng-bin-svn26509.0-16.20130205_r29034.fc18.i686
--> Processing Dependency: tex-dvipng for package: 2:texlive-dvipng-bin-svn26509.0-16.20130205_r29034.fc18.i686
--> Processing Dependency: libkpathsea.so.6 for package: 2:texlive-dvipng-bin-svn26509.0-16.20130205_r29034.fc18.i686
--> Running transaction check
---> Package freecad.i686 0:0.13-1.fc18 will be an update
--> Processing Dependency: python-collada for package: freecad-0.13-1.fc18.i686
---> Package texlive-base.noarch 2:2012-16.20130205_r29034.fc18 will be installed
---> Package texlive-dvipng.noarch 2:svn26689.1.14-16.fc18 will be installed
--> Processing Dependency: texlive-kpathsea-bin for package: 2:texlive-dvipng-svn26689.1.14-16.fc18.noarch
--> Processing Dependency: tex-kpathsea for package: 2:texlive-dvipng-svn26689.1.14-16.fc18.noarch ...
(more)
edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
1

answered 2013-03-07 11:32:32 -0500

updated 2013-03-07 11:33:29 -0500

The 'yum clean all; yum --disablerepo=rpmvusion..' does not solve the problem, which is really caused by a missing python-collada package that is slowly making its way to rpmfusion; see bug 2704 on bugzilla.rpmfusion.org/show_bug.cgi?id=2704 (sorry for a non-clickable link--apparently my karma is insufficient to post URLs)

edit flag offensive delete link more
1

answered 2013-03-03 15:26:26 -0500

hhlp gravatar image

hi try for a moment disable repo, rpmfusion-nonfree-updates and rpmfusion-free-updates :

Run this in terminal :

sudo yum clean all
sudo yum --disablerepo=rpmfusion-free-updates,rpmfusion-nonfree-updates update

and then again :

sudo yum clean all
sudo yum update
edit flag offensive delete link more

Comments

It would also be great if you could let the folks at RPMFusion know that there's a broken dependency in their repository either via their bugtracker or mailing list

FranciscoD_ gravatar imageFranciscoD_ ( 2013-03-03 18:53:15 -0500 )edit
0

answered 2013-03-07 22:11:01 -0500

http://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=4&t=3644

There is a comment about this from the develper. He has is in a dropbox till RPM has is it filtered into repo.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-03-03 11:28:56 -0500

Seen: 1,220 times

Last updated: Mar 07 '13